# SSO-Richtlinie ändern

`PUT https://{tenant}.stamp.eu/rest/sso/policy`

Tenant-wide, not per provider: with Microsoft and Google side by side
"password login is off" is one decision.

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `enforce_sso` | boolean | nein |
| `allow_password_for_admins` | boolean | nein |

## Antworten

### 200

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `enforce_sso` | boolean | ja |
| `allow_password_for_admins` | boolean | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
